diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 4192875..eb313db 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -17421,8 +17421,8 @@ ElementaryFunctionODESolver(R, F): Exports == Implementation where
 
     solve(m:M, v:V, x:SY) ==
         Lx := LinearOrdinaryDifferentialOperator(F, diff x)
-        uu := solve(m, v, solve(#1, #2,
-               x)$ElementaryFunctionLODESolver(R, F, Lx))$SystemODESolver(F, Lx)
+        uu := solve(m, v, (z1,z2) +-> solve(z1, z2, x)_
+          $ElementaryFunctionLODESolver(R, F, Lx))$SystemODESolver(F, Lx)
         uu case "failed" => "failed"
         rec := uu::Record(particular: V, basis: M)
         [rec.particular, [column(rec.basis, i) for i in 1..ncols(rec.basis)]]
@@ -17543,7 +17543,7 @@ ElementaryFunctionODESolver(R, F): Exports == Implementation where
       c := getlincoeff(f, k)
       for y in ly repeat
          not freeOf?(c, y) =>
-            error "getfreelincoeff: not a linear ordinary differential equation"
+           error "getfreelincoeff: not a linear ordinary differential equation"
       c
 
     getlincoeff(f, k) ==
diff --git a/changelog b/changelog
index 83e83ce..d038e82 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,6 @@
-20090514 tpd src/axiom-website/patches.html 20090515.01.tpd.patch
+20090515 tpd src/axiom-website/patches.html 20090515.02.tpd.patch
+20090515 tpd books/bookvol10.4 ODEEF +-> conversion
+20090515 tpd src/axiom-website/patches.html 20090515.01.tpd.patch
 20090515 tpd books/bookvol10.3 HACKPI +-> conversion
 20090515 tpd books/bookvol10.3 PRTITION +-> conversion
 20090514 tpd src/axiom-website/patches.html 20090514.08.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4f14d40..29eeb34 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1306,5 +1306,7 @@ bookvol10.4 D01WGTS +-> conversion<br/>
 bookvol10.4 LODEEF +-> conversion<br/>
 <a href="patches/20090515.01.tpd.patch">20090515.01.tpd.patch</a>
 bookvol10.3 HACKPI, PRTITION +-> conversion<br/>
+<a href="patches/20090515.02.tpd.patch">20090515.02.tpd.patch</a>
+bookvol10.4 ODEEF +-> conversion<br/>
  </body>
 </html>
